GET api/pcapi/pcsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_id": "a0e95a19-739e-4b33-8ffc-9b4ce232f177",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "daad5695-e60e-42c4-8357-7b61e69ad3b4",
"local_ip": "sample string 7",
"lock_id": "508952f7-a2b9-4450-8d16-ade4ed4a7c88",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "c4358a7e-bb18-471a-82b2-6efcdd8b6533",
"rights": [
{
"code": "sample string 1",
"id": "ee20f934-3181-41ca-9da0-779cca60fafb"
},
{
"code": "sample string 1",
"id": "ee20f934-3181-41ca-9da0-779cca60fafb"
}
],
"site_id": "a7855cde-8cf1-4d38-842f-f881a854157a",
"zone_id": "5b3d9492-dc13-46e9-a1e8-ab7a81f5fca8"
},
{
"active": true,
"cleanroom_id": "a0e95a19-739e-4b33-8ffc-9b4ce232f177",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "daad5695-e60e-42c4-8357-7b61e69ad3b4",
"local_ip": "sample string 7",
"lock_id": "508952f7-a2b9-4450-8d16-ade4ed4a7c88",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "c4358a7e-bb18-471a-82b2-6efcdd8b6533",
"rights": [
{
"code": "sample string 1",
"id": "ee20f934-3181-41ca-9da0-779cca60fafb"
},
{
"code": "sample string 1",
"id": "ee20f934-3181-41ca-9da0-779cca60fafb"
}
],
"site_id": "a7855cde-8cf1-4d38-842f-f881a854157a",
"zone_id": "5b3d9492-dc13-46e9-a1e8-ab7a81f5fca8"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc>
<active>true</active>
<cleanroom_id>a0e95a19-739e-4b33-8ffc-9b4ce232f177</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>daad5695-e60e-42c4-8357-7b61e69ad3b4</id>
<local_ip>sample string 7</local_ip>
<lock_id>508952f7-a2b9-4450-8d16-ade4ed4a7c88</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>c4358a7e-bb18-471a-82b2-6efcdd8b6533</pc_type_id>
<rights>
<right>
<ID>ee20f934-3181-41ca-9da0-779cca60fafb</ID>
<code>sample string 1</code>
</right>
<right>
<ID>ee20f934-3181-41ca-9da0-779cca60fafb</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>a7855cde-8cf1-4d38-842f-f881a854157a</site_id>
<zone_id>5b3d9492-dc13-46e9-a1e8-ab7a81f5fca8</zone_id>
</pc>
<pc>
<active>true</active>
<cleanroom_id>a0e95a19-739e-4b33-8ffc-9b4ce232f177</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>daad5695-e60e-42c4-8357-7b61e69ad3b4</id>
<local_ip>sample string 7</local_ip>
<lock_id>508952f7-a2b9-4450-8d16-ade4ed4a7c88</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>c4358a7e-bb18-471a-82b2-6efcdd8b6533</pc_type_id>
<rights>
<right>
<ID>ee20f934-3181-41ca-9da0-779cca60fafb</ID>
<code>sample string 1</code>
</right>
<right>
<ID>ee20f934-3181-41ca-9da0-779cca60fafb</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>a7855cde-8cf1-4d38-842f-f881a854157a</site_id>
<zone_id>5b3d9492-dc13-46e9-a1e8-ab7a81f5fca8</zone_id>
</pc>
</ArrayOfpc>